CheckIS (The Data Transfer Scheduler Service 2.0.0-2.17.2 API)
Date: 2014-01-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.scheduler.impl.check
Class CheckIS

    java.lang.Object
      java.lang.Thread
          org.gcube.datatransfer.scheduler.impl.check.CheckIS

All Implemented Interfaces:
  Runnable

    public class CheckIS

extends Thread

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary
`static int` | `checkISIntervalMS`
`org.gcube.datatransfer.scheduler.db.DataTransferDBManager` | `dbManager`
`org.gcube.datatransfer.scheduler.is.ISManager` | `isManagerForAgents`
`org.gcube.datatransfer.scheduler.is.ISManager` | `isManagerForSources`
`org.gcube.datatransfer.scheduler.is.ISManager` | `isManagerForStorages`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`CheckIS()`

Method Summary
`void` | `run()`
`void` | `sleep10Sec()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### dbManager

    public org.gcube.datatransfer.scheduler.db.DataTransferDBManager dbManager

### isManagerForAgents

    public org.gcube.datatransfer.scheduler.is.ISManager isManagerForAgents

### isManagerForSources

    public org.gcube.datatransfer.scheduler.is.ISManager isManagerForSources

### isManagerForStorages

    public org.gcube.datatransfer.scheduler.is.ISManager isManagerForStorages

### checkISIntervalMS

    public static int checkISIntervalMS

Constructor Detail

### CheckIS

    public CheckIS()

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`

### sleep10Sec

    public void sleep10Sec()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.